doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'
        options:
            1002: 'SET sql_mode=(SELECT REPLACE(@@sql_mode, "ONLY_FULL_GROUP_BY", ""))'
        types:
            json: Sonata\Doctrine\Types\JsonType

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '13'

        # only needed for MySQL
        charset: utf8mb4
        default_table_options:
            collate: utf8mb4_unicode_ci

        # backtrace queries in profiler (increases memory usage per request)
        #profiling_collect_backtrace: '%kernel.debug%'
    orm:
        auto_generate_proxy_classes: true
        #naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        #auto_mapping: true
        #mappings:
            #App:
                #is_bundle: false
                #type: annotation
                #dir: '%kernel.project_dir%/src/Entity'
                #prefix: 'App\Entity'
                #alias: App
        entity_managers:
          default:
            naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
            auto_mapping: true
            filters:
              softdeleteable:
                class: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter
                enabled: true
              softdeleteabletrash:
                class: Picoss\SonataExtraAdminBundle\Filter\SoftDeleteableTrashFilter
                enabled: false
            mappings:
              SonataNotificationBundle: ~
#              loggable:
#                type: annotation
#                alias: Gedmo
#                prefix: Gedmo\Loggable\Entity
#                dir: "%kernel.root_dir%/../vendor/gedmo/doctrine-extensions/src/Loggable/Entity"

              App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
